Skip to main content

URL to Video

This use case demonstrates how to replicate the “URL to Video” flow from Creatify App.
It demonstrates how to use Creatify’s APIs to transform a product URL into a complete marketing video — from link scraping, AI script generation, video preview creation, to final video rendering.
For example, given the input URL: https://www.amazon.com/ATTITUDE-Mineral-Based-Ingredients-Cruelty-free-Moisturizer/dp/B09JZXHJM7 The flow will generate a video:
Extract content (title, description, images, videos, etc.) from a product URL. POST /api/links/
💡 Errors:
  1. Successfully scraped the URL but it contains no images or videos.
    status_code: 400
    body: [“Link must have at least one image or one video.”]
  2. Failed to scrape the URL (due to anti-scraping or other issues).
    status_code: 400
    body: [“Failed to scrape url: “]

If you don’t have a URL but have product data, create a link directly using parameters. POST /api/links/link_with_params/
💡 If no videos are included, provide at least 3 images.

Modify an existing link’s metadata (title, description, images, videos). PUT /api/links/{id}/

Generate AI-powered marketing scripts for the product. POST /api/ai_scripts/
💡 The title and description are the same as those in the link.

5. Generate Preview Videos

Generate video previews for the link. POST /api/link_to_videos/preview_list_async/
⚠️ Costs 1 credit per 30 seconds preview video. Even if multiple previews are generated, you’ll only be charged once. For example, 8 previews of 30 seconds each still cost just 1 credit.
💡 link param is the response id of create link
override_script is the response paragraphs of ai_scripts

6. Get Preview Videos Result

🔄 Webhook Callback Example

If you provide a webhook_url, Creatify will notify your backend of the preview generation result:

🔄 Poll API to get Result without Webhook

If you did not provide a webhook_url, you will have to pool Creatify API to the preview generation result: GET /api/link_to_videos/{id}/
ℹ️ You can embed the preview URLs using <iframe> tags in your UI to display them.

7. Render Selected Preview

Render a chosen preview video into a final output. POST /api/link_to_videos/{id}/render_single_preview/

8. Get Render result

🔄 Webhook Callback Example

If you provide a webhook_url, Creatify will notify your backend of the render result:

🔄 Poll API to get Result without Webhook

If you did not provide a webhook_url, you will have to pool Creatify API to the render result: GET /api/link_to_videos/{id}/

Status values in url to video response:

✅ Summary of Endpoints